Package commoble.morered.wires

# Enum Class Edge

java.lang.Object
java.lang.Enum<Edge>
commoble.morered.wires.Edge

All Implemented Interfaces:
  `Serializable`, `Comparable<Edge>`, `Constable`

public enum Edge extends Enum<Edge>
A cube has 12 edges. If there are two wire block wires attached to two exterior faces of a given cube, and if the block diagonally adjacent to that cube (touching the attached wire blocks' cubespaces) is empty or a wire block then we want to make sure a wire block exists in that space, and have it render a small segment of wire going around the convex edge. A wire block should render an edge if and only if both of the adjacent blocks in the two given directions are wire blocks, and if both wire blocks have a wire attached to the relevant face of the central cube.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DOWN_EAST`
`DOWN_NORTH`
`DOWN_SOUTH`
`DOWN_WEST`
`NORTH_EAST`
`NORTH_WEST`
`SOUTH_EAST`
`SOUTH_WEST`
`UP_EAST`
`UP_NORTH`
`UP_SOUTH`
`UP_WEST`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Edge[][]`
`EDGES_BY_RELEVANT_DIRECTION`
`final net.minecraft.core.Direction`
`sideA`
`final net.minecraft.core.Direction`
`sideB`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`shouldEdgeRender(net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos pos, AbstractWireBlock centerWireBlock)`
`static Edge`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Edge[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOWN_NORTH

public static final Edge DOWN_NORTH

### DOWN_SOUTH

public static final Edge DOWN_SOUTH

### DOWN_WEST

public static final Edge DOWN_WEST

### DOWN_EAST

public static final Edge DOWN_EAST

### UP_NORTH

public static final Edge UP_NORTH

### UP_SOUTH

public static final Edge UP_SOUTH

### UP_WEST

public static final Edge UP_WEST

### UP_EAST

public static final Edge UP_EAST

### NORTH_WEST

public static final Edge NORTH_WEST

### NORTH_EAST

public static final Edge NORTH_EAST

### SOUTH_WEST

public static final Edge SOUTH_WEST

### SOUTH_EAST

public static final Edge SOUTH_EAST

## Field Details

### EDGES_BY_RELEVANT_DIRECTION

public static final Edge[][] EDGES_BY_RELEVANT_DIRECTION

### sideA

public final net.minecraft.core.Direction sideA

### sideB

public final net.minecraft.core.Direction sideB

## Method Details

### values

public static Edge[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Edge valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### shouldEdgeRender

public boolean shouldEdgeRender(net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos pos, AbstractWireBlock centerWireBlock)

Parameters:
  `world` - world
  `pos` - The position of a wire or air block
  `centerWireBlock` - The wire block we want to render an edge for (connecting two neighbor wires)
Returns:
  true if this edge should be rendered for this block